Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tfg.politmiro.totbolets
Class JocDbAdapter

    java.lang.Object
      com.tfg.politmiro.totbolets.JocDbAdapter

    public class JocDbAdapter

extends Object

Classe que serveix per insertar/modificar/eliminar a la base de dades les dades parsejades dels xml

Author:
  Polit Miro

Field Summary
`static String` | `KEY_ID`
`static String` | `KEY_IDSIMILAR1`
`static String` | `KEY_IDSIMILAR2`
`static String` | `KEY_IDSIMILAR3`
`static String` | `KEY_IMGBOLET`
`static String` | `KEY_NOM`
`static String` | `KEY_ROWID`

Constructor Summary
`JocDbAdapter(Context context)`

Method Summary
`void` | `close()` Metode que tanca la base de dades
`Cursor` | `getAll()` Metode que retorna totes les dades la taula joc
`Joc` | `getJoc(Cursor cursor)` Metode que crea un objecte joc i l'omple de les dades que hi ha en l'objecte joc que ha estat omplet abans amb el parse
`Cursor` | `getNomBolet(String id)`
`long` | `insert(Joc joc)` Metode que inserta les dades a la taula de la BD
`JocDbAdapter` | `open()` Metode que obre la base de dades
`long` | `replace(Joc joc)` Metode utilitzat per substituir valors a la base de dades.
`void` | `truncate()`
`int` | `update(Joc joc)` Metode que serveix per actualitzar dades a la BD

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY_ROWID

    public static final String KEY_ROWID

See Also:
  Constant Field Values

### KEY_ID

    public static final String KEY_ID

See Also:
  Constant Field Values

### KEY_NOM

    public static final String KEY_NOM

See Also:
  Constant Field Values

### KEY_IMGBOLET

    public static final String KEY_IMGBOLET

See Also:
  Constant Field Values

### KEY_IDSIMILAR1

    public static final String KEY_IDSIMILAR1

See Also:
  Constant Field Values

### KEY_IDSIMILAR2

    public static final String KEY_IDSIMILAR2

See Also:
  Constant Field Values

### KEY_IDSIMILAR3

    public static final String KEY_IDSIMILAR3

See Also:
  Constant Field Values

Constructor Detail

### JocDbAdapter

    public JocDbAdapter(Context context)

Method Detail

### open

    public JocDbAdapter open()
                      throws SQLException

  Metode que obre la base de dades

  Returns:
  Throws:
    `SQLException`

### close

    public void close()

  Metode que tanca la base de dades

### insert

    public long insert(Joc joc)

  Metode que inserta les dades a la taula de la BD

  Parameters:
    `joc` -
  Returns:

### replace

    public long replace(Joc joc)

  Metode utilitzat per substituir valors a la base de dades.

  Parameters:
    `joc` -
  Returns:

### update

    public int update(Joc joc)

  Metode que serveix per actualitzar dades a la BD

  Parameters:
    `joc` -
  Returns:

### getAll

    public Cursor getAll()

  Metode que retorna totes les dades la taula joc

  Returns:

### getNomBolet

    public Cursor getNomBolet(String id)

### getJoc

    public Joc getJoc(Cursor cursor)

  Metode que crea un objecte joc i l'omple de les dades que hi ha en l'objecte joc que ha estat omplet abans amb el parse

  Parameters:
    `cursor` -
  Returns:

### truncate

    public void truncate()

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD